---
updatedAt: 2025-06-05T20:53:28.000Z
agentTools:
  projectIndex: https://developers.mindmeister.com/llms.txt
---

# Endpoints

The base url is always <https://www.mindmeister.com.> Make sure that you always use SSL.

## Authorization endpoint

Path: **/oauth2/authorize**

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>
        Parameter
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        respsonse\_type
      </td>

      <td>
        The value must be either *code* for the [authorization code flow](https://mindmeister.readme.io/docs/oauth-2#section-authorization-code-flow) or *token* for the [implicit flow](https://mindmeister.readme.io/docs/oauth-2#section-implicit-flow).
      </td>
    </tr>

    <tr>
      <td>
        client\_id
      </td>

      <td>
        The client identifier, which is received during the registration of the application.
      </td>
    </tr>

    <tr>
      <td>
        client\_secret
      </td>

      <td>
        The client secret which is obtained together with the client ID. It is only required in the case of the [implicit flow](https://mindmeister.readme.io/docs/oauth-2#section-implicit-flow).
      </td>
    </tr>

    <tr>
      <td>
        scope
      </td>

      <td>
        The requested [scopes](https://developers.mindmeister.com/docs/scopes) separated by space, e.g. 'userinfo.email mindmeister'.
      </td>
    </tr>

    <tr>
      <td>
        redirect\_uri
      </td>

      <td>
        The redirect URI of the client application which is set during the [client registration](https://developers.mindmeister.com/docs/register-application).
      </td>
    </tr>
  </tbody>
</Table>

## Token endpoint

Path: **/oauth2/token**

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>
        Parameter
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        grant\_type
      </td>

      <td>
        The value must be either *authorization\_code* for the [authorization code flow](https://mindmeister.readme.io/docs/oauth-2#section-authorization-code-flow) or *client\_credentials* for the [client credentials flow](https://mindmeister.readme.io/docs/oauth-2#section-client-credentials-flow)
      </td>
    </tr>

    <tr>
      <td>
        code
      </td>

      <td>
        The code obtained from the authorization request. Only required with the [authorization code flow](https://mindmeister.readme.io/docs/oauth-2#section-authorization-code-flow).
      </td>
    </tr>

    <tr>
      <td>
        client\_id
      </td>

      <td>
        The client identifier, what is received during the registration of the application.
      </td>
    </tr>

    <tr>
      <td>
        client\_secret
      </td>

      <td>
        The client secret which is obtained together with the client ID. It is not required in case of the [implicit flow](https://mindmeister.readme.io/docs/oauth-2#section-implicit-flow).
      </td>
    </tr>

    <tr>
      <td>
        scope
      </td>

      <td>
        The requested [scopes](https://developers.mindmeister.com/docs/scopes) separated by space, e.g. 'userinfo.email mindmeister'.
      </td>
    </tr>

    <tr>
      <td>
        redirect\_uri
      </td>

      <td>
        The redirect URI of the client application what is set during the [client registration](https://developers.mindmeister.com/docs/register-application).
      </td>
    </tr>
  </tbody>
</Table>

## Token info endpoint

Path: **/oauth2/token/info**

Shows details about the token used for authorization.

```http HTTPS
GET /oauth2/token/info HTTP/1.1
Host: www.mindmeister.com
Authorization: Bearer ACCESS_TOKEN
```

```json JSON Response
{
	"resource_owner_id" : 1,
	"scope" : ["userinfo.email", "userinfo.profile", "mindmeister"],
	"expires_in_seconds" : 863,
	"application" : {
		"uid" : 19
	}
}
```

> 📘 The token info endpoint works only with access tokens which are neither expired nor revoked.

## Revoke token endpoint

Path: **/oauth2/revoke**

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>
        Parameter
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        client\_id
      </td>

      <td>
        The client identifier, what is received during the registration of the application.
      </td>
    </tr>

    <tr>
      <td>
        client\_secret
      </td>

      <td>
        The client secret which is obtained together with the client ID.
      </td>
    </tr>

    <tr>
      <td>
        token
      </td>

      <td>
        The access token to be revoked.
      </td>
    </tr>
  </tbody>
</Table>

The response is always a HTTP 200 OK, even if the token doesn't exist or is revoked already.